Join the 80,000 other DTN customers who enjoy the fastest, most reliable data available. There is no better value than DTN!

(Move your cursor to this area to pause scrolling)




"Just a thank you for the very helpful and prompt assistance and services. You provided me with noticeably superior service in my setup compared to a couple of other options I had looked at." - Comment from John
"You have an excellent product !!!!!!" - Comment from Arely
"I have been using IQFeed now for a few years in MultiCharts and I have zero complaints. Very, very rare to have any data hiccups or anything at all go wrong." - Comment from Public Forum
"IQ feed is brilliant. The support is mind-bending. What service!" - Comment from Public Forum Post
"And by the way, have to say this. I love the IQFeed software. It's rock solid and it has a really nice API." - Comment from Thomas via RT Chat
"Everything is working great with the API. I love it." - Comment from Calvin
"I ran your IQFeed DDE vs. my broker vs. a level II window for some slow-moving options. I would see the level II quote change, then your feed update instantaneously. My broker's DDE, however, would take as much as 30 seconds to update. I am not chasing milliseconds, but half a minute is unacceptable." - Comment from Rob
"Can I get another account from you? I am tired of ******* going down so often" - Comment from George
"I am very happy I changed. I love the product, but more so I am thrilled with Tech Support. You are knowledgeable, polite, pleasant and professional." - Comment from Pat
"I am keeping IQFeed, much better reliabilty than *******. I may refer a few other people in the office to switch as well." - Comment from Don
Home  Search  Register  Login  Recent Posts

Information on DTN's Industries:
DTN Oil & Gas | DTN Trading | DTN Agriculture | DTN Weather
Follow DTNMarkets on Twitter
DTN.IQ/IQFeed on Twitter
DTN News and Analysis on Twitter
»Forums Index »IQFeed Developer »IQFeed Developer Support »HWX, HMX
Author Topic: HWX, HMX (5 messages, Page 1 of 1)

updata
-Interested User-
Posts: 3
Joined: May 25, 2021

data


Posted: May 25, 2021 07:47 AM          Msg. 1 of 5
Hello, is there anything specific we need to have in order for HWX and HMX to work?
Using it as per the example:

HWX,GOOG,10,1,50035,2,0<cr><lf>

I'm getting "Invalid number of parameters." coming back.

thanks in advance for any help


DTN_Stephen
-DTN Guru-
Posts: 443
Joined: Aug 22, 2014


Posted: May 25, 2021 07:55 AM          Msg. 2 of 5
Researching your question. I will have an answer shortly.

Stephen Shockey
Senior Customer Support Representative and Product Support Specialist

DTN
800-779-7299
support@iqfeed.net

altmany
-Interested User-
Posts: 69
Joined: Jul 30, 2018

IQML - IQFeed-MATLAB connector


Posted: May 25, 2021 08:00 AM          Msg. 3 of 5
You're probably using an old version of the IQFeed client (IQConnect), version 6.0 or older - these versions used fewer parameters (the IncludePartialDatapoint parameter was added in client version 6.1). Simply install the latest IQFeed client and this problem will probably be resolved.

Yair Altman
IQML - IQFeed-MATLAB connector
https://UndocumentedMatlab.com/IQML

I am not a DTN employee; my post reflects my personal opinion

DTN_Gary_Stephen
-DTN Guru-
Posts: 267
Joined: Jul 3, 2019


Posted: May 25, 2021 08:45 AM          Msg. 4 of 5
It's not the version of the IQFeed client that dictates what iteration of the API you get. Each time you connect to a port, you must send a S,SET PROTOCOL command. If you don't, the IQFeed API defaults to the oldest protocol, 4.9. The format of API commands and responses can vary in different protocols. Altmany is correct that IncludePartialDatapoint was added in protocol 6.1. If you include it in an older protocol, the API will respond that you are using the "wrong" number of parameters, because you're sending more than it expects. Send the S,SET PROTOCOL 6.1 command and you will get a response S,CURRENT PROTOCOL,6.1. Then your HWX/HMX command will work correctly.

The version of the IQConnect client has nothing to do with the API protocol, except that you can only specify a protocol that is equal to or older than your client software. You can't request protocol 6.2 unless you are using version 6.2 of the client software, for example.

Sincerely,
Gary Stephen
DTN IQFeed Implementation Support Specialist

updata
-Interested User-
Posts: 3
Joined: May 25, 2021

data


Posted: May 26, 2021 02:29 AM          Msg. 5 of 5
Hi Stephen, Yair, Gary,
Thanks very much for your help - setting the protocol to 6.1 to match the client version
has done the trick!
Much appreciated,
nick

 

 

Time: Mon August 8, 2022 1:45 AM CFBB v1.2.0 15 ms.
© AderSoftware 2002-2003